%define build_modules   1
%{?_with_modules: %global build_modules 1}

%define enable_jasper   1
%{?_with_jasper: %global enable_jasper 1}

%define enable_graphwiz 1
%{?_with_graphwiz: %global enable_graphwiz 1}

%define upstream_name   GraphicsMagick
%define major           3
%define libname         %mklibname %{name} %{major}
%define ppmajor         12
%define libppname       %mklibname %{name}++ %{ppmajor}
%define wandmajor       2
%define libwandname     %mklibname graphicsmagickwand %{wandmajor}
%define develname       %mklibname %{name} -d

%define qdepth          16
%define qlev            Q%{qdepth}

Summary:        An X application for displaying and manipulating images
Name:           graphicsmagick
Version:        1.3.45
Release:        %mkrel 4
License:        GPLv2+
Group:          Graphics/Editors and Converters
URL:            http://www.graphicsmagick.org/
Source0:        https://sourceforge.net/projects/graphicsmagick/files/graphicsmagick/%{version}/%{upstream_name}-%{version}.tar.xz
Patch0:         GraphicsMagick-1.3.15-use-so-for-modules.patch
Patch1:         GraphicsMagick-1.3.16-perl-link.patch
Patch2:         CVE-2025-27795.patch
Patch3:         CVE-2025-27796.patch
Patch4:         GraphicsMagick-CVE-2025-32460.patch

# Upstream patches
BuildRequires:  x11-proto-devel
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libwmf)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  libgs-devel
BuildRequires:  libtool-devel
BuildRequires:  jbigkit-devel
BuildRequires:  chrpath
BuildRequires:  pkgconfig(libheif) 
BuildRequires:  pkgconfig(libjxl)
%if "%distro_section" == "tainted"
BuildRequires:  pkgconfig(libde265)
Recommends:     libde265
Recommends:     libheif
%endif
Provides:       %{upstream_name} = %{version}-%{release}

%description
GraphicsMagick is the swiss army knife of image processing. It
provides a robust collection of tools and libraries which support
reading, writing, and manipulating an image in over 88 major formats
including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF,
SVG, and TIFF. GraphicsMagick supports huge images on systems that
support large files, and has been tested with gigapixel-size images.
GraphicsMagick can create new images on the fly, making it suitable
for building dynamic Web applications. GraphicsMagick may be used to
resize, rotate, sharpen, color reduce, or add special effects to an
image and save the result in the same or differing image format.
Image processing operations are available from the command line, as
well as through C, C++, Perl, or Windows COM programming interfaces.
Extensions are available from third-parties to support programming in
Python, Tcl, and Ruby. With some modification, language extensions for
ImageMagick may be used.

%files
%doc ChangeLog *.txt
%{_bindir}/gm
%dir %{_libdir}/GraphicsMagick-%{version}
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_datadir}/GraphicsMagick-%{version}
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%if %build_modules
%dir %{_libdir}/%{upstream_name}-%{version}/modules-%{qlev}
%{_libdir}/%{upstream_name}-%{version}/modules-%{qlev}/filters
%dir %{_libdir}/%{upstream_name}-%{version}/modules-%{qlev}/coders
%{_libdir}/%{upstream_name}-%{version}/modules-%{qlev}/coders/*.so
%endif
%{_mandir}/man1/GraphicsMagick++-config.1.*
%{_mandir}/man1/GraphicsMagick-config.1.*
%{_mandir}/man1/GraphicsMagickWand-config.1.*
%{_mandir}/man1/gm.1.*
%{_mandir}/man4/miff.4.*
%{_mandir}/man5/quantize.5.*

#--------------------------------------------------------------

%package -n     %{libname}
Summary:        %upstream_name libraries
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with GraphicsMagick libraries.

%files -n %{libname}
%{_libdir}/libGraphicsMagick.so.%{major}{,.*}

#--------------------------------------------------------------

%package -n     %{libppname}
Summary:        %upstream_name C++ libraries
Group:          System/Libraries

%description -n %{libppname}
This package contains the libraries needed to run C++ programs dynamically
linked with GraphicsMagick libraries.

%files -n %{libppname}
%{_libdir}/libGraphicsMagick++.so.%{ppmajor}{,.*}

#--------------------------------------------------------------

%package -n     %{libwandname}
Summary:        %upstream_name libraries
Group:          System/Libraries

%description -n %{libwandname}
This package contains the libraries needed to run programs dynamically
linked with GraphicsMagick libraries.

%files -n %{libwandname}
%{_libdir}/libGraphicsMagickWand.so.%{wandmajor}{,.*}

#--------------------------------------------------------------

%package -n     %{develname}
Summary:        Static libraries and header files for %{upstream_name} app development
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{upstream_name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Requires:       %{libppname} = %{version}
Requires:       %{libwandname} = %{version}
Requires:       jbig-devel
%if %{enable_jasper}
Requires:       jasper-devel
%endif
%if %{enable_graphwiz}
Requires:       graphviz-devel
%global __requires_exclude devel\\(libcdt\\)|devel\\(libcircogen\\)|devel\\(libcommon\\)|devel\\(libdotgen\\)|devel\\(libdotneato\\)|devel\\(libfdpgen\\)|devel\\(libgraph\\)|devel\\(libgvrender\\)|devel\\(libneatogen\\)|devel\\(libpack\\)|devel\\(libpathplan\\)|devel\\(libtwopigen\\)|devel\\(libgvc\\)|devel\\(libgvgd\\)
%endif

%description -n %{develname}
If you want to create applications that will use GraphicsMagick code or
APIs, you'll need to install these packages as well as
GraphicsMagick. These additional packages aren't necessary if you simply
want to use GraphicsMagick, however.

graphicsmagick-devel is an addition to GraphicsMagick which includes static
libraries and header files necessary to develop applications.

%files -n %{develname}
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/Magick++.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------

%package -n     perl-Graphics-Magick
Summary:        Libraries and modules for access to %upstream_name from perl
Group:          Development/Perl
Requires:       %{name} = %{version}
%if %{enable_graphwiz}
Requires:       graphviz
%endif

%description -n perl-Graphics-Magick
This is the %upstream_name perl support package. It includes perl modules
and support files for access to GraphicsMagick library from perl.

%files -n perl-Graphics-Magick
%{_mandir}/man3*/*::*.3pm*
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/auto/Graphics

#--------------------------------------------------------------

%package        doc
Summary:        %{name} Documentation
Group:          Documentation
BuildArch:      noarch

%description    doc
This package contains HTML/PDF documentation of %{name}.

%files doc
%{_datadir}/doc/GraphicsMagick

#--------------------------------------------------------------

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%define Werror_cflags %nil
%configure \
    --enable-fast-install \
    --without-dps \
%if %{build_modules}
    --with-modules \
%else
    --without-modules \
%endif
    --enable-shared \
    --disable-static \
    --with-pic \
%if %{enable_jasper}
    --with-jp2 \
%else
    --without-jp2 \
%endif
    --with-perl-options="INSTALLDIRS=vendor"  \
    --with-perl \
    --with-quantum-depth=%{qdepth} \

%make_build
%make_build perl-build

%install
%make_install
%make_install -C PerlMagick

# fix rights and remove rpaths
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so

# remove unwanted files
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_datadir}/GraphicsMagick-%{version}/{ChangeLog,NEWS.txt}


%changelog
* Tue Apr 29 2025 ns80 <ns80> 1.3.45-4.mga10
+ Revision: 2179894
- add patch from openSUSE for CVE-2025-32460 (mga#34218)

* Fri Apr 04 2025 ns80 <ns80> 1.3.45-3.mga10.tainted
+ Revision: 2173476
- backport upstream patch for CVE-2025-27796 (mga#34163)

* Fri Apr 04 2025 ns80 <ns80> 1.3.45-2.mga10.tainted
+ Revision: 2173387
- backport upstream patch for CVE-2025-27795 (mga#34163)

* Sun Mar 16 2025 wally <wally> 1.3.45-1.mga10.tainted
+ Revision: 2165231
- new version 1.3.45
- rebuild for libxml2 2.13.6

* Sun Nov 10 2024 wally <wally> 1.3.43-5.mga10.tainted
+ Revision: 2113544
- own unowned dirs in /usr/lib(64)/ and /usr/share/

* Wed Oct 02 2024 daviddavid <daviddavid> 1.3.43-4.mga10.tainted
+ Revision: 2102518
- rebuild for missing pkgs

* Fri Aug 23 2024 tv <tv> 1.3.43-3.mga10
+ Revision: 2089673
- Rebuild for perl-5.40

* Fri Jul 05 2024 daviddavid <daviddavid> 1.3.43-2.mga10.tainted
+ Revision: 2079919
- rebuild for new libjxl 0.10.3

* Fri Apr 26 2024 kekepower <kekepower> 1.3.43-1.mga10.tainted
+ Revision: 2061277
- Update to version 1.3.43

* Sat Dec 02 2023 tv <tv> 1.3.42-3.mga10.tainted
+ Revision: 2012643
- Rebuild for perl-5.38

* Tue Nov 07 2023 daviddavid <daviddavid> 1.3.42-2.mga10
+ Revision: 2005035
- rebuild for new libjxl 0.8.2

* Sat Oct 14 2023 kekepower <kekepower> 1.3.42-1.mga10.tainted
+ Revision: 1996553
- Update to version 1.3.42

* Fri Oct 13 2023 daviddavid <daviddavid> 1.3.40-2.mga10
+ Revision: 1996011
- rebuild for new jasper 4.0.0

* Sun Feb 26 2023 kekepower <kekepower> 1.3.40-1.mga9.tainted
+ Revision: 1945461
- Update to version 1.3.40

* Mon Dec 12 2022 ns80 <ns80> 1.3.38-8.mga9
+ Revision: 1921039
- rebuild for new libtiff

* Wed Nov 30 2022 ns80 <ns80> 1.3.38-7.mga9.tainted
+ Revision: 1913244
- rebuild for new jbigkit (mga#31189)

* Tue Nov 22 2022 kekepower <kekepower> 1.3.38-6.mga9.tainted
+ Revision: 1910290
- Build with jpeg-xl support

* Tue Nov 22 2022 daviddavid <daviddavid> 1.3.38-5.mga9
+ Revision: 1910126
- rebuild for new jasper 3.0.6

* Mon Jun 06 2022 umeabot <umeabot> 1.3.38-4.mga9.tainted
+ Revision: 1861498
- Rebuild for Perl 5.36

* Sat May 14 2022 ghibo <ghibo> 1.3.38-3.mga9.tainted
+ Revision: 1858177
- libheif-devel is complete when libde265-devel is installed, so add it in a conditional tainted section.

* Sat May 14 2022 ghibo <ghibo> 1.3.38-2.mga9
+ Revision: 1858168
- Use a quantum level of 16 instead of 8 (some package needs it, e.g. octave).
- Add libheif-devel to BuildRequires.
- Fix rpmlint warning "mixed use of tab and spaces" (cosmetic).

* Sun Mar 27 2022 luigiwalser <luigiwalser> 1.3.38-1.mga9
+ Revision: 1828866
- 1.3.38

* Sat Mar 26 2022 luigiwalser <luigiwalser> 1.3.37-1.mga9
+ Revision: 1828120
- 1.3.37

* Mon May 24 2021 umeabot <umeabot> 1.3.36-2.mga9
+ Revision: 1726364
- Rebuild for perl 5.34

* Wed Jan 13 2021 neoclust <neoclust> 1.3.36-1.mga8
+ Revision: 1671616
- New version 1.3.36, fixes security bugs (mga#28088)

* Sun Dec 27 2020 luigiwalser <luigiwalser> 1.3.35-3.mga8
+ Revision: 1664270
- add patch from opensuse to fix CVE-2020-12672
- provide GraphicsMagick for compatibility

* Wed Jun 17 2020 umeabot <umeabot> 1.3.35-2.mga8
+ Revision: 1594214
- Rebuild for perl 5.32

* Mon Feb 24 2020 kekepower <kekepower> 1.3.35-1.mga8
+ Revision: 1549701
- Update to version 1.3.35

* Tue Feb 18 2020 umeabot <umeabot> 1.3.34-2.mga8
+ Revision: 1541920
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 kekepower <kekepower> 1.3.34-1.mga8
+ Revision: 1475625
- Update to version 1.3.34

* Wed Dec 04 2019 ns80 <ns80> 1.3.33-3.mga8
+ Revision: 1464232
- add patch from OpenSUSE for CVE-2019-16709 (mga#25807)

* Tue Aug 27 2019 tv <tv> 1.3.33-2.mga8
+ Revision: 1433280
- rebuild with perl-5.30

* Sat Aug 10 2019 kekepower <kekepower> 1.3.33-1.mga8
+ Revision: 1428549
- Update to version 1.3.33

* Tue Jun 18 2019 ns80 <ns80> 1.3.32-1.mga7
+ Revision: 1400226
- new version 1.3.32 (mga#24966)

* Fri Jun 07 2019 ns80 <ns80> 1.3.31-6.mga7
+ Revision: 1399650
- add patches for CVE-2019-1100[5-9], CVE-2019-11010, CVE-2019-1147[34] and CVE-2019-1150[56] (mga#24766)

* Wed Mar 13 2019 ns80 <ns80> 1.3.31-5.mga7
+ Revision: 1375355
- add patch from openSUSE for CVE-2019-7397 (mga#24396)

* Fri Jan 04 2019 mrambo3501 <mrambo3501> 1.3.31-4.mga7
+ Revision: 1349171
- add upsteam patch which fixes CVE-2018-20185 (mga#24103)

* Thu Jan 03 2019 mrambo3501 <mrambo3501> 1.3.31-3.mga7
+ Revision: 1348929
+ rebuild (emptylog)

* Thu Jan 03 2019 mrambo3501 <mrambo3501> 1.3.31-2.mga7
+ Revision: 1348923
- add upsteam patch which fixes CVE-2018-2018[49] (mga#24103)

* Sat Nov 17 2018 kekepower <kekepower> 1.3.31-1.mga7
+ Revision: 1330527
- Update to version 1.3.31
- Rediffed Patch1

* Sun Sep 23 2018 umeabot <umeabot> 1.3.30-2.mga7
+ Revision: 1298066
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 kekepower <kekepower> 1.3.30-1.mga7
+ Revision: 1251782
- Update to version 1.3.30

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.3.29-2.mga7
+ Revision: 1248780
- rebuild for perl 5.28

* Thu May 03 2018 kekepower <kekepower> 1.3.29-1.mga7
+ Revision: 1225658
- Update to version 1.3.29

* Mon Apr 16 2018 daviddavid <daviddavid> 1.3.28-2.mga7
+ Revision: 1219285
- rebuild for new jasper 2.0.14
+ wally <wally>
- build without old and long dead lcms 1.x

* Sat Jan 20 2018 kekepower <kekepower> 1.3.28-1.mga7
+ Revision: 1195192
- Update to version 1.3.28 (mga#22403)
- Security fix: BMP: Fix non-terminal loop due to unexpected bit-field mask value (DOS opportunity).
- Security fix: PALM: Fix heap buffer underflow in builds with QuantumDepth=8.
- Security fix: SetNexus() Fix heap overwrite under certain conditions due to using a wrong destination buffer. This issue impacts all 1.3.X releases.
- Security fix: TIFF: Fix heap buffer read overflow in LocaleNCompare() when parsing NEWS profile.

* Fri Jan 19 2018 kekepower <kekepower> 1.3.27a-1.mga7
+ Revision: 1194507
- Update to version 1.3.27a
- Fixes several CVE's (mga#22403)
- Update Source0 link

* Mon Jan 01 2018 shlomif <shlomif> 1.3.27-2.mga7
+ Revision: 1188656
- Rebuild to fix runtime errors (e.g: in octave's "make check").

* Tue Dec 12 2017 ns80 <ns80> 1.3.27-1.mga7
+ Revision: 1182439
- new version 1.3.27 that corrects many security issues (mga#21600)

* Thu Aug 31 2017 pterjan <pterjan> 1.3.26-5.mga7
+ Revision: 1150262
- Rebuild for perl ABI changes

* Sat Aug 19 2017 neoclust <neoclust> 1.3.26-4.mga7
+ Revision: 1141696
- Add P103 - Fixes CVE-2017-12937 (mga#21564)
- Add P101 - Fixes CVE-2017-12936 (mga#21564)
- Add P101 - Fixes CVE-2017-12935 (mga#21564)

* Mon Jul 24 2017 akien <akien> 1.3.26-3.mga7
+ Revision: 1129820
- Fix use-after-free crash (CVE-2017-11403)

* Sat Jul 22 2017 neoclust <neoclust> 1.3.26-2.mga7
+ Revision: 1127284
- Rebuild against new Perl 5.26

* Mon Jul 17 2017 akien <akien> 1.3.26-1.mga7
+ Revision: 1123933
- Version 1.3.26 (security fixes, upstreams our patches)

* Mon May 01 2017 neoclust <neoclust> 1.3.25-5.mga6
+ Revision: 1098212
- Add P7 - Fixes CVE-2017-6335 (mga#19668)

* Mon Oct 17 2016 ns80 <ns80> 1.3.25-4.mga6
+ Revision: 1061260
- add upstream patches for CVE-2016-868[2-4] (mga#19602)

* Sat Oct 08 2016 ns80 <ns80> 1.3.25-3.mga6
+ Revision: 1059650
- add an upstream patch for two issues in the WPG reader

* Tue Oct 04 2016 ns80 <ns80> 1.3.25-2.mga6
+ Revision: 1058618
- add a patch for CVE-2016-7800 (mga#19506)

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1.3.25-1.mga6
+ Revision: 1050336
- 1.3.25
- remove upstream patch 2

* Wed Jun 22 2016 luigiwalser <luigiwalser> 1.3.24-2.mga6
+ Revision: 1037188
- add upstream patch to fix more svg security issues

* Tue May 31 2016 philippem <philippem> 1.3.24-1.mga6
+ Revision: 1019543
- update to 1.3.24, mga#17714, security fixes

* Thu May 05 2016 philippem <philippem> 1.3.23-3.mga6
+ Revision: 1009605
- add patches to fix CVE-2016-2317 and CVE-2016-2318 mga#17714

* Mon Dec 28 2015 luigiwalser <luigiwalser> 1.3.23-2.mga6
+ Revision: 916630
- make devel package require new ++ library package (reported by mitya)

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1.3.23-1.mga6
+ Revision: 915384
- 1.3.23
- fix library packaging
- rediff patch 0
- remove upstreamed CVE patches

* Fri Aug 28 2015 cjw <cjw> 1.3.20-7.mga6
+ Revision: 870396
- rebuild with gcc 5

* Sun Jun 28 2015 tv <tv> 1.3.20-6.mga6
+ Revision: 846751
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 1.3.20-5.mga6
+ Revision: 841017
- rebuild for perl-5.22

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.3.20-4.mga5
+ Revision: 796898
- add upstream patch to fix CVE-2014-8355

* Wed Oct 15 2014 umeabot <umeabot> 1.3.20-3.mga5
+ Revision: 746200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.20-2.mga5
+ Revision: 679929
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Aug 29 2014 luigiwalser <luigiwalser> 1.3.20-1.mga5
+ Revision: 669268
- 1.3.20
- add patch from fedora to fix CVE-2014-1947

* Sun Aug 17 2014 wally <wally> 1.3.19-1.mga5
+ Revision: 664839
- rediff perl module linking patch to fix build
- drop rpath from perl module
+ spuhler <spuhler>
- upgrade to ver. 1.3.19
- removed invalid config option --disable-ltdl-install
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.3.18-3.mga4
+ Revision: 526031
- Mageia 4 Mass Rebuild
+ akien <akien>
- Fixed description references to ImageMagick instead of GraphicsMagick
- Cleaned spec file (inconsistant use of tabs and spaces)

* Mon Jun 03 2013 fwang <fwang> 1.3.18-2.mga4
+ Revision: 435527
- rebuild for new libpng

* Wed May 29 2013 fwang <fwang> 1.3.18-1.mga4
+ Revision: 430311
- new version 1.3.18

* Sat Jan 12 2013 umeabot <umeabot> 1.3.17-2.mga3
+ Revision: 352565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Oct 16 2012 fwang <fwang> 1.3.17-1.mga3
+ Revision: 307089
- br ltdl
- drop merged patch
- update rpm group
- new version 1.3.17

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.3.16-4.mga3
+ Revision: 289832
- add upstream patch to fix CVE-2012-3438

* Wed Aug 01 2012 blino <blino> 1.3.16-3.mga3
+ Revision: 276909
- really link perl module with library

* Mon Jul 09 2012 fwang <fwang> 1.3.16-2.mga3
+ Revision: 269011
- update lcms2

* Mon Jun 25 2012 fwang <fwang> 1.3.16-1.mga3
+ Revision: 263388
- new version 1.3.16

* Thu Jun 14 2012 fwang <fwang> 1.3.15-3.mga3
+ Revision: 260526
- fix bug#6411: graphicsmagick knows nothing about modules

* Sat Jun 02 2012 blino <blino> 1.3.15-2.mga3
+ Revision: 253383
- fail if typemap already exists (to remove the hack when upstream is fixed)

* Sat Jun 02 2012 blino <blino> 1.3.15-1.mga3
+ Revision: 253364
- Add a  simple "ignore this type" style typemap to get past a xsubpp
  exception in recent versions of Perl, from ImageMagick r4950
  (see also rt #70150, gentoo #378197)
+ fwang <fwang>
- new version 1.3.15
- rebuild for new perl
- set doc as noarch

* Fri Jan 13 2012 fwang <fwang> 1.3.13-1.mga2
+ Revision: 195719
- new version 1.3.13

* Fri Dec 23 2011 fwang <fwang> 1.3.12-6.mga2
+ Revision: 186520
- rebuild for new libtiff

* Wed Sep 14 2011 fwang <fwang> 1.3.12-5.mga2
+ Revision: 143446
- update file list
- add gentoo patches to fix build with latest libpng
- drop .la files

* Sun Jun 12 2011 sander85 <sander85> 1.3.12-4.mga2
+ Revision: 104629
- Rebuild for perl 5.14

* Sun Feb 06 2011 spuhler <spuhler> 1.3.12-3.mga1
+ Revision: 47953
- removed the if mdkversion lines  from spec
- imported package graphicsmagick


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.3.12-3mdv2011.0
+ Revision: 564247
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.3.12-2mdv2011.0
+ Revision: 556444
- perl 5.12 rebuild

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 1.3.12-1mdv2010.1
+ Revision: 539441
- new version 1.3.12

* Mon Feb 22 2010 Funda Wang <fwang@mandriva.org> 1.3.11-1mdv2010.1
+ Revision: 509406
- New version 1.3.11

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 1.3.10-1mdv2010.1
+ Revision: 504290
- update to new version 1.3.10

* Fri Feb 05 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2010.1
+ Revision: 501074
- update to new version 1.3.9

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 1.3.8-1mdv2010.1
+ Revision: 495074
- Update to new version 1.3.8
- Remove CVE-2009-3736 patch integrated upstream

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.7-3mdv2010.1
+ Revision: 488759
- rebuilt against libjpeg v8
- P1: security fix for CVE-2009-3736

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.7-1mdv2010.0
+ Revision: 448498
- Update to new version 1.3.7
- Disable static libraries
- Fix perl build (Fedora)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-4mdv2010.0
+ Revision: 416519
- rebuilt against libjpeg v7

* Wed Apr 08 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.5-3mdv2009.1
+ Revision: 365216
- Install package required wrong namiing to x86_64 libs

* Sat Apr 04 2009 Funda Wang <fwang@mandriva.org> 1.3.5-2mdv2009.1
+ Revision: 364040
- add more BRs

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1.3.5-1mdv2009.1
+ Revision: 335524
- New version 1.3.5

* Sat Jan 17 2009 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 330710
- disable format check
- New version 1.3.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.3.3-1mdv2009.1
+ Revision: 312645
- gcc patch not needed
- New version 1.3.3

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 308490
- New version 1.3.2

* Tue Sep 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdv2009.0
+ Revision: 279103
- fix build

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2009.0
+ Revision: 250518
- update to new version 1.2.5

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 232196
- New version 1.2.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2009.0
+ Revision: 216863
- New version 1.2.3

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 213102
- New version 1.2.2

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 209716
- added a gcc43 patch from fedora

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 203086
- fix file list
- New version 1.2.1

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.2-1mdv2009.0
+ Revision: 199934
- New version 1.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.1.10-3mdv2008.1
+ Revision: 161611
- split out libs to reflect the actual soname

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.1.10-2mdv2008.1
+ Revision: 155648
- rebuild for new perl

* Fri Dec 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.10-1mdv2008.1
+ Revision: 136151
- Fix File list
- import graphicsmagick


